# Copyright (c) 2000-2012, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

%define with()          %{expand:%%{?with_%{1}:1}%%{!?with_%{1}:0}}
%define without()       %{expand:%%{?with_%{1}:0}%%{!?with_%{1}:1}}
%define bcond_with()    %{expand:%%{?_with_%{1}:%%global with_%{1} 1}}
%define bcond_without() %{expand:%%{!?_without_%{1}:%%global with_%{1} 1}}

%bcond_without maven

%define section      free
%global RHAT         0
%define _binary_payload w9.gzdio
%define _source_payload w9.gzdio
%define _binary_filedigest_algorithm 1
%define _source_filedigest_algorithm 1

%global shared_components_version 8
%global enforcer_rule_api_version 1.0
%global file_management_version 1.2
%global ant_version 1.0
%global archiver_version 2.3
%global common_artifact_filters_version 1.0
%global dependency_analyzer_version 1.0
%global dependency_tree_version 1.2
%global downloader_version 1.2
%global doxia_tools_version 1.0.1
%global filtering_version 1.0
%global toolchain_version 1.0
%global invoker_version 2.0.11
%global model_converter_version 2.3
%global plugin_testing_harness_version 1.2
%global plugin_testing_tools_version 1.0
%global plugin_tools_version 2.2
%global plugin_tools_ant_version 2.2
%global plugin_tools_api_version 2.2
%global plugin_tools_beanshell_version 2.2
%global plugin_tools_java_version 2.2
%global plugin_tools_model_version 2.2
%global reporting_impl_version 2.1
%global repository_builder_version 1.0
%global io_version 1.1
%global jar_version 1.1
%global monitor_version 1.0
%global osgi_version 0.2.0
%global script_ant_version 2.1
%global script_beanshell_version 2.1
%global test_tools_version 1.0
%global verifier_version 1.2
%global web_ui_tests_version 1.0
                                                                                
Name:           maven-shared
Version:        8
Release:        0.p8.14%{?dist}
Epoch:          0
Summary:        Maven Shared Components
License:        ASL 2.0
Group:          Development/Libraries/Java
URL:            http://maven.apache.org
# http://svn.apache.org/repos/asf/maven/shared/tags/maven-shared-components-8/
Source0:        maven-shared-components-8.tar.gz
Source1:        %{name}-settings.xml
Source2:        %{name}-8-jpp-depmap.xml
Source3:        %{name}-autogenerated-files.tar.gz
Source4:        maven-enforcer-rule-api-1.0-alpha-2.tar.gz
Source5:        maven-doxia-tools-1.0.1.tar.gz
# svn export http://svn.apache.org/repos/asf/maven/shared/tags/maven-enforcer-rule-api-1.0-alpha-2/
Source6:        maven-filtering-1.0-beta-4.tar.gz
# svn export http://svn.apache.org/repos/asf/maven/shared/tags/maven-filtering-1.0-beta-4/
Source7:        maven-toolchain-1.0.tar.gz
# svn export http://svn.apache.org/repos/asf/maven/shared/tags/maven-toolchain-1.0/
Source8:        maven-invoker-2.0.11.tar.gz
# svn export http://svn.apache.org/repos/asf/maven/shared/tags/maven-invoker-2.0.11/
Source9:        maven-dependency-tree-1.2.tar.gz
# svn export http://svn.apache.org/repos/asf/maven/shared/tags/maven-dependency-tree-1.2/
Source10:       maven-filtering-1.0.tar.gz
# svn export http://svn.apache.org/repos/asf/maven/shared/tags/maven-filtering-1.0/


Patch0:        %{name}-pom.patch
Patch1:        %{name}-ant-pom.patch
Patch2:        %{name}-file-management-pom.patch
Patch3:        %{name}-io-ArtifactLocatorStrategyTest.patch
Patch4:        %{name}-plugin-tools-pom.patch
Patch5:        %{name}-asm.patch
Patch6:        %{name}-plugin-tools-model-pom.patch
Patch7:        %{name}-fileset-mdo.patch
Patch8:        %{name}-jar-pom.patch
Patch9:        %{name}-doxia-tools-DefaultSiteTool.patch
Patch10:       %{name}-toolchain-pom.patch
Patch11:       %{name}-toolchain-mdo.patch
Patch12:       %{name}-reporting-impl-AbstractMavenReportRenderer.patch
Patch91:       %{name}-pom-rhat.patch
Patch92:       %{name}-AbstractSeleniumTestCase.patch
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils >= 0:1.7.5
BuildRequires:  java-devel >= 0:1.6.0
BuildRequires:  ant >= 0:1.7.1
BuildRequires:  ant-junit
BuildRequires:  aqute-bndlib
BuildRequires:  bcel >= 0:5.1
BuildRequires:  bsh
BuildRequires:  maven2-bootstrap >= 0:2.0.8
BuildRequires:  maven-doxia-sitetools
BuildRequires:  modello >= 0:1.1
BuildRequires:  easymock
BuildRequires:  hsqldb
BuildRequires:  jmock
BuildRequires:  junit
BuildRequires:  junit-addons
%if %with maven
BuildRequires:  maven2 >= 0:2.0.8
BuildRequires:  maven2-plugin-ant
BuildRequires:  maven2-plugin-clean
BuildRequires:  maven2-plugin-compiler
BuildRequires:  maven2-plugin-install
BuildRequires:  maven2-plugin-jar
BuildRequires:  maven2-plugin-javadoc
BuildRequires:  maven2-plugin-plugin
BuildRequires:  maven2-plugin-release >= 0:2.0.5
BuildRequires:  maven2-plugin-resources
BuildRequires:  maven2-plugin-shade
BuildRequires:  maven2-plugin-source
BuildRequires:  maven-surefire-plugin >= 0:2.3
BuildRequires:  maven-surefire-junit >= 0:2.3
BuildRequires:  maven-wagon
BuildRequires:  modello-maven-plugin
BuildRequires:  cobertura-maven-plugin
BuildRequires:  apache-commons-parent
BuildRequires:  bouncycastle-provider
BuildRequires:  google-pom
BuildRequires:  jetty5
BuildRequires:  plexus-maven-plugin >= 0:1.3.5
BuildRequires:  saxpath
%endif
BuildRequires:  dom4j >= 0:1.6.1
BuildRequires:  geronimo-jta-1.0.1B-api
BuildRequires:  apache-commons-collections >= 0:3.1
BuildRequires:  apache-commons-dbcp
BuildRequires:  apache-commons-validator
BuildRequires:  jakarta-oro
BuildRequires:  jakarta-taglibs-standard
BuildRequires:  maven-doxia >= 0:1.0
BuildRequires:  maven-wagon
BuildRequires:  objectweb-asm >= 0:3.0
BuildRequires:  plexus-ant-factory
BuildRequires:  plexus-archiver
BuildRequires:  plexus-build-api
BuildRequires:  plexus-containers-component-api
BuildRequires:  plexus-containers-container-default
BuildRequires:  plexus-container-default
BuildRequires:  plexus-digest
BuildRequires:  plexus-registry
BuildRequires:  plexus-utils >= 0:1.4.8
BuildRequires:  qdox >= 0:1.6.1
%if !%{RHAT}
BuildRequires:  openqa-selenium-core
BuildRequires:  openqa-selenium-rc-java-client-driver
BuildRequires:  openqa-selenium-rc-server
%endif
BuildRequires:  servlet_2_4_api
BuildRequires:  spring
BuildRequires:  xerces-j2
BuildRequires:  xml-commons-jaxp-1.3-apis

Requires:       java >= 0:1.6.0
Requires:       maven2-bootstrap >= 0:2.0.8
Requires:       bcel >= 0:5.1
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{shared_components_version}-%{release}-root
# FIXME:
BuildRequires:  %{name}-filtering

%description
Maven Shared Components

%package toolchain
Summary:        Maven Shared Toolchains
Group:          Development/Libraries/Java
Version:        %{toolchain_version}
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
Requires:  %{name} = %{epoch}:%{shared_components_version}-%{release}
Requires:  maven2-bootstrap

%description toolchain
The Maven Toolchains provide a way for plugins to discover 
what JDK (or other tools) are to be used during the build, 
without the need to configure them. 

%package filtering
Summary:        Maven Shared Filtering
Group:          Development/Libraries/Java
Version:        %{filtering_version}
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
Requires:  %{name} = %{epoch}:%{shared_components_version}-%{release}
Requires:  maven2-bootstrap
Requires:  plexus-build-api
Requires:  plexus-container-default
Requires:  plexus-interpolation >= 0:1.12
Requires:  plexus-utils

%description filtering
A component to assist in filtering of resource files with 
properties from a Maven project.

%package doxia-tools
Summary:        Maven Shared Doxia Integration Tools
Group:          Development/Libraries/Java
Version:        %{doxia_tools_version}
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
Requires:  %{name} = %{epoch}:%{shared_components_version}-%{release}
Requires:  apache-commons-io
Requires:  maven2-bootstrap
Requires:  maven-doxia-sitetools
Requires:  plexus-container-default
Requires:  plexus-i18n
Requires:  plexus-utils

%description doxia-tools
A collection of tools to help the integration of 
Doxia in Maven plugins.

%package file-management
Summary:        Maven Shared File Management API
Group:          Development/Libraries/Java
Version:        %{file_management_version}
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
Requires:  %{name} = %{epoch}:%{shared_components_version}-%{release}
Requires:  %{name}-io >= %{epoch}:%{io_version}
Requires:  maven2-bootstrap
Requires:  plexus-container-default
Requires:  plexus-utils

%description file-management
API to collect files from a given directory using 
several include/exclude rules.

%package osgi
Summary:        Maven OSGi
Group:          Development/Libraries/Java
Version:        %{osgi_version}
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
Requires:  %{name} = %{epoch}:%{shared_components_version}-%{release}
Requires:  aqute-bndlib
Requires:  maven2-bootstrap >= 0:2.0.8

%description osgi
Library for Maven-OSGi integration

%package ant
Summary:        Maven Ant
Group:          Development/Libraries/Java
Version:        %{ant_version}
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
Requires:  %{name} = %{epoch}:%{shared_components_version}-%{release}
Requires:  ant
Requires:  maven2-bootstrap >= 0:2.0.8
Requires:  plexus-containers-container-default

%description ant
Runs ant scripts embedded in the POM.

%package archiver
Summary:        Maven Archiver
Group:          Development/Libraries/Java
Version:        %{archiver_version}
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
Requires:  %{name} = %{epoch}:%{shared_components_version}-%{release}
Requires:  maven2-bootstrap >= 0:2.0.8
Requires:  plexus-archiver

%description archiver
%{summary}.

%package common-artifact-filters
Summary:        Maven Common Artifact Filters
Group:          Development/Libraries/Java
Version:        %{common_artifact_filters_version}
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
Requires:  %{name} = %{epoch}:%{shared_components_version}-%{release}
Requires:  %{name}-test-tools >= %{epoch}:%{test_tools_version}-%{release}
Requires:  junit
Requires:  maven2-bootstrap >= 0:2.0.8
Requires:  plexus-container-default

%description common-artifact-filters
%{summary}.

%package dependency-tree
Summary:        Maven Dependency Tree
Group:          Development/Libraries/Java
Version:        %{dependency_tree_version}
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
Requires:  %{name} = %{epoch}:%{shared_components_version}-%{release}
Requires:  %{name}-plugin-testing-harness >= %{epoch}:%{plugin_testing_harness_version}-%{release}
Requires:  maven2-bootstrap >= 0:2.0.8

%description dependency-tree
%{summary}.

%package enforcer-rule-api
Summary:        Maven Enforcer Rule API
Group:          Development/Libraries/Java
Version:        %{enforcer_rule_api_version}
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
Requires:  %{name} = %{epoch}:%{shared_components_version}-%{release}
Requires:  maven2-bootstrap >= 0:2.0.8

%description enforcer-rule-api
This component provides the generic interfaces needed to 
implement custom rules for the maven-enforcer-plugin.

%package downloader
Summary:        Maven Downloader
Group:          Development/Libraries/Java
Version:        %{downloader_version}
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
Requires:  %{name} = %{epoch}:%{shared_components_version}-%{release}
Requires:  maven2-bootstrap >= 0:2.0.8

%description downloader
Provide a super simple interface for downloading a 
single artifact.

%package dependency-analyzer
Summary:        Maven Dependency Analyzer
Group:          Development/Libraries/Java
Version:        %{dependency_analyzer_version}
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
Requires:  %{name} = %{epoch}:%{shared_components_version}-%{release}
Requires:  maven2-bootstrap >= 0:2.0.8
Requires:  objectweb-asm

%description dependency-analyzer
%{summary}.

%package invoker
Summary:        Maven Process Invoker
Group:          Development/Libraries/Java
Version:        %{invoker_version}
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
Requires:  %{name} = %{epoch}:%{shared_components_version}-%{release}
Requires:  %{name}-monitor >= %{epoch}:%{monitor_version}-%{release}
Requires:  maven2-bootstrap >= 0:2.0.8
Requires:  plexus-utils

%description invoker
%{summary}.

%package model-converter
Summary:        Maven Model Converter
Group:          Development/Libraries/Java
Version:        %{model_converter_version}
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
Requires:  %{name} = %{epoch}:%{shared_components_version}-%{release}
Requires:  dom4j
Requires:  maven2-bootstrap >= 0:2.0.8
Requires:  plexus-container-default
Requires:  plexus-utils

%description model-converter
Converts between version 3.0.0 and version 4.0.0 models.

%package plugin-testing-harness
Summary:        Maven Plugin Testing Mechanism
Group:          Development/Libraries/Java
Version:        %{plugin_testing_harness_version}
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
Requires:  %{name} = %{epoch}:%{shared_components_version}-%{release}
Requires:  junit
Requires:  maven2-bootstrap >= 0:2.0.8
Requires:  plexus-utils

%description plugin-testing-harness
%{summary}.

%package plugin-testing-tools
Summary:        Maven Plugin Testing Tools
Group:          Development/Libraries/Java
Version:        %{plugin_testing_tools_version}
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
Requires:  %{name} = %{epoch}:%{shared_components_version}-%{release}
Requires:  %{name}-invoker = %{epoch}:%{invoker_version}-%{release}
Requires:  %{name}-repository-builder = %{epoch}:%{repository_builder_version}-%{release}
Requires:  %{name}-test-tools = %{epoch}:%{test_tools_version}-%{release}
Requires:  junit
Requires:  maven2-bootstrap >= 0:2.0.8

%description plugin-testing-tools
%{summary}.

%package plugin-tools-ant
Summary:        Maven Ant Plugin Tools
Group:          Development/Libraries/Java
Version:        %{plugin_tools_ant_version}
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
Requires:  %{name} = %{epoch}:%{shared_components_version}-%{release}
Requires:  %{name}-plugin-tools-api = %{epoch}:%{plugin_tools_api_version}-%{release}
Requires:  %{name}-plugin-tools-model = %{epoch}:%{plugin_tools_model_version}-%{release}
Requires:  ant
Requires:  maven2-bootstrap >= 0:2.0.8
Requires:  plexus-container-default
Requires:  plexus-utils

%description plugin-tools-ant
%{summary}.

%package plugin-tools-api
Summary:        Maven Plugin Tools APIs
Group:          Development/Libraries/Java
Version:        %{plugin_tools_api_version}
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
Requires:  %{name} = %{epoch}:%{shared_components_version}-%{release}
Requires:  maven2-bootstrap >= 0:2.0.8
Requires:  plexus-utils

%description plugin-tools-api
%{summary}.

%package plugin-tools-beanshell
Summary:        Maven Plugin Tools for Beanshell
Group:          Development/Libraries/Java
Version:        %{plugin_tools_beanshell_version}
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
Requires:  %{name} = %{epoch}:%{shared_components_version}-%{release}
Requires:  %{name}-plugin-tools-api = %{epoch}:%{plugin_tools_api_version}-%{release}
Requires:  bsh
Requires:  maven2-bootstrap >= 0:2.0.8
Requires:  plexus-container-default
Requires:  plexus-utils

%description plugin-tools-beanshell
%{summary}.

%package plugin-tools-java
Summary:        Maven Plugin Tools for Java
Group:          Development/Libraries/Java
Version:        %{plugin_tools_java_version}
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
Requires:  %{name} = %{epoch}:%{shared_components_version}-%{release}
Requires:  %{name}-plugin-tools-api = %{epoch}:%{plugin_tools_api_version}-%{release}
Requires:  maven2-bootstrap >= 0:2.0.8
Requires:  plexus-container-default
Requires:  plexus-utils
Requires:  qdox

%description plugin-tools-java
%{summary}.

%package plugin-tools-model
Summary:        Maven Plugin Metadata Model
Group:          Development/Libraries/Java
Version:        %{plugin_tools_model_version}
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
Requires:  %{name} = %{epoch}:%{shared_components_version}-%{release}
Requires:  maven2-bootstrap >= 0:2.0.8
Requires:  plexus-container-default
Requires:  plexus-utils

%description plugin-tools-model
%{summary}.

%package reporting-impl
Summary:        Maven Reporting Implementation
Group:          Development/Libraries/Java
Version:        %{reporting_impl_version}
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
Requires:  %{name} = %{epoch}:%{shared_components_version}-%{release}
Requires:  apache-commons-validator
Requires:  jakarta-oro
Requires:  maven2-bootstrap >= 0:2.0.8
Requires:  maven-doxia

%description reporting-impl
%{summary}.

%package repository-builder
Summary:        Maven Repository Builder
Group:          Development/Libraries/Java
Version:        %{repository_builder_version}
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
Requires:  %{name} = %{epoch}:%{shared_components_version}-%{release}
Requires:  %{name}-common-artifact-filters >= %{epoch}:%{common_artifact_filters_version}-%{release}
Requires:  maven2-bootstrap >= 0:2.0.8

%description repository-builder
%{summary}.

%package io
Summary:        Maven Shared I/O API
Group:          Development/Libraries/Java
Version:        %{io_version}
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
Requires:  %{name} = %{epoch}:%{shared_components_version}-%{release}
Requires:  maven2-bootstrap >= 0:2.0.8
Requires:  maven-wagon
Requires:  plexus-utils
Requires:  plexus-container-default

%description io
%{summary}.

%package jar
Summary:        Maven Shared Jar
Group:          Development/Libraries/Java
Version:        %{jar_version}
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
Requires:  %{name} = %{epoch}:%{shared_components_version}-%{release}
Requires:  maven2-bootstrap >= 0:2.0.8

%description jar
Utilities that help identify the contents of a JAR, 
including Java class analysis and Maven metadata 
analysis.

%package monitor
Summary:        Maven Shared Monitor API
Group:          Development/Libraries/Java
Version:        %{monitor_version}
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
Requires:  %{name} = %{epoch}:%{shared_components_version}-%{release}
Requires:  maven2-bootstrap >= 0:2.0.8
Requires:  plexus-container-default

%description monitor
%{summary}.

%package test-tools
Summary:        Maven Testing Tools
Group:          Development/Libraries/Java
Version:        %{test_tools_version}
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
Requires:  %{name} = %{epoch}:%{shared_components_version}-%{release}
Requires:  easymock
Requires:  junit
Requires:  plexus-utils

%description test-tools
%{summary}.

%package verifier
Summary:        Maven Verifier Component
Group:          Development/Libraries/Java
Version:        %{verifier_version}
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
Requires:  %{name} = %{epoch}:%{shared_components_version}-%{release}
Requires:  junit

%description verifier
%{summary}.

%if !%{RHAT}
%package web-ui-tests
Summary:        Maven Shared Web UI Tests
Group:          Development/Libraries/Java
Version:        %{web_ui_tests_version}
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
Requires:  %{name} = %{epoch}:%{shared_components_version}-%{release}
Requires:  junit
Requires:  openqa-selenium-rc-java-client-driver
Requires:  openqa-selenium-rc-server
Requires:  plexus-utils

%description web-ui-tests
%{summary}.
%endif

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation
Provides:       %{name}-file-management-javadoc = %{epoch}:%{file_management_version}-%{release}
Obsoletes:      %{name}-file-management-javadoc < %{epoch}:%{file_management_version}-%{release}
Provides:       %{name}-plugin-testing-harness-javadoc = %{epoch}:%{plugin_testing_harness_version}-%{release}
Obsoletes:      %{name}-plugin-testing-harness-javadoc < %{epoch}:%{plugin_testing_harness_version}-%{release}
Requires:       jpackage-utils

%description javadoc
%{summary}.

%prep
%setup -q -n %{name}-components-%{shared_components_version}
rm -rf maven-filtering
gzip -dc %{SOURCE10} | tar xf -
mv maven-filtering-1.0 maven-filtering
rm -rf maven-dependency-tree
gzip -dc %{SOURCE9} | tar xf -
mv maven-dependency-tree-1.2 maven-dependency-tree
rm -rf maven-invoker
gzip -dc %{SOURCE8} | tar xf -
mv maven-invoker-2.0.11 maven-invoker
rm -rf maven-toolchain
gzip -dc %{SOURCE7} | tar xf -
mv maven-toolchain-1.0 maven-toolchain
gzip -dc %{SOURCE6} | tar xf -
mv maven-filtering-1.0-beta-4 maven-filtering
gzip -dc %{SOURCE5} | tar xf -
gzip -dc %{SOURCE4} | tar xf -
mv maven-enforcer-rule-api-1.0-alpha-2 maven-enforcer-rule-api
gzip -dc %{SOURCE3} | tar xf -
rm -rf maven-app-configuration
chmod -R go=u-w *
%patch0 -p0 -b .sav0
%patch1 -p0 -b .sav1
%patch2 -p0 -b .sav2
%patch3 -p0 -b .sav3
%patch4 -p0 -b .sav4
# XXX: (dwalluck): Not sure when this is needed
#%%%patch5 -p1
%patch6 -p0 -b .sav6
%patch7 -p0 -b .sav7
%patch8 -p0 -b .sav8
%patch9 -p0 -b .sav9
%patch10 -p0 -b .sav10
%patch11 -p0 -b .sav11
#%%patch12 -p0 -b .sav12

%if %{RHAT}
%patch91 -p0 -b .sav91
%else
%patch92 -p0 -b .sav92
%endif

mkdir external_repo
ln -s %{_javadir} external_repo/JPP

mkdir -p m2_repo/repository/JPP/maven2/default_poms/
cp pom.xml m2_repo/repository/JPP/maven2/default_poms/org.apache.maven.shared-maven-shared-components.pom
cp %{SOURCE1} settings.xml

sed -i -e "s|<url>__INTERNAL_REPO_PLACEHOLDER__</url>|<url>file://`pwd`/m2_repo/repository</url>|g" settings.xml
sed -i -e "s|<url>__EXTERNAL_REPO_PLACEHOLDER__</url>|<url>file://`pwd`/external_repo</url>|g" settings.xml

%build
%if %with maven
export MAVEN_OPTS="-Dproject.build.sourceEncoding=UTF-8 -Dfile.encoding=UTF-8 -XX:MaxPermSize=128m"
export MAVEN_REPO_LOCAL=$(pwd)/m2_repo/repository
mkdir -p $MAVEN_REPO_LOCAL/bouncycastle/bcprov-jdk15/135/
ln -s $(build-classpath bcprov) $MAVEN_REPO_LOCAL/bouncycastle/bcprov-jdk15/135/bcprov-jdk15-135.jar
mkdir -p $MAVEN_REPO_LOCAL/JPP/
ln -s $(build-classpath plexus-build-api-tests) $MAVEN_REPO_LOCAL/JPP/plexus-build-api-tests.jar

mvn-jpp \
        -e \
        -s settings.xml \
        -Dmaven2.jpp.depmap.file=%{SOURCE2} \
        -Dmaven.test.failure.ignore=true \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        ant:ant install
mvn-jpp \
        -e \
        -s settings.xml \
        -Dmaven2.jpp.depmap.file=%{SOURCE2} \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        javadoc:javadoc

%else
export CLASSPATH=$(build-classpath \
classworlds \
commons-collections \
commons-lang \
modello/core \
modello/plugin-plexus-registry \
modello/plugin-store \
modello/plugin-xml \
modello/plugin-xpp3 \
modello/plugin-xsd \
plexus-build-api \
plexus/classworlds \
plexus/containers-component-api \
plexus/containers-container-default \
plexus/container-default \
plexus/utils \
plexus/velocity \
velocity \
)

pushd maven-plugin-tools/maven-plugin-tools-model
%{java} org.codehaus.modello.ModelloCli src/main/mdo/plugin-metadata.mdo xpp3-reader src/main/java 1.0.0 false true
%{java} org.codehaus.modello.ModelloCli src/main/mdo/plugin-metadata.mdo xpp3-writer src/main/java 1.0.0 false true
%{java} org.codehaus.modello.ModelloCli src/main/mdo/plugin-metadata.mdo java src/main/java 1.0.0 false true
popd
pushd file-management
%{java} org.codehaus.modello.ModelloCli src/main/mdo/fileset.mdo xpp3-reader src/main/java 1.1.0 false true
%{java} org.codehaus.modello.ModelloCli src/main/mdo/fileset.mdo xpp3-writer src/main/java 1.1.0 false true
%{java} org.codehaus.modello.ModelloCli src/main/mdo/fileset.mdo java src/main/java 1.1.0 false true
%{java} org.codehaus.modello.ModelloCli src/main/mdo/fileset.mdo xsd src/main/java 1.1.0 false true
popd

export CLASSPATH=$(build-classpath \
aqute-bndlib \
bcel \
bsh \
commons-collections \
commons-validator \
dom4j \
easymock \
junit \
maven-doxia/sink-api \
maven-doxia/site-renderer \
maven-wagon/provider-api \
maven2/artifact \
maven2/artifact-manager \
maven2/core \
maven2/model \
maven2/plugin-api \
maven2/plugin-descriptor \
maven2/plugin-registry \
maven2/profile \
maven2/project \
maven2/reporting-api \
maven2/repository-metadata \
maven2/settings \
plexus/archiver \
classworlds \
plexus/digest \
plexus/registry \
plexus/utils \
objectweb-asm/asm \
qdox \
plexus/classworlds \
%if !%{RHAT}
selenium-server-standalone \
selenium-java-client-driver \
%endif
)
CLASSPATH=$CLASSPATH:$(build-classpath maven-model-all)
CLASSPATH=$CLASSPATH:$(pwd)/maven-plugin-tools/maven-plugin-tools-api/target/maven-plugin-tools-api-%{plugin_tools_api_version}-SNAPSHOT.jar
CLASSPATH=$CLASSPATH:$(pwd)/maven-plugin-tools/maven-plugin-tools-model/target/maven-plugin-tools-model-%{plugin_tools_model_version}-SNAPSHOT.jar
CLASSPATH=$CLASSPATH:$(pwd)/maven-model-converter/target/maven-model-converter-%{model_converter_version}-SNAPSHOT.jar
CLASSPATH=$CLASSPATH:$(pwd)/maven-shared-io/target/maven-shared-io-%{io_version}-SNAPSHOT.jar
#CLASSPATH=$CLASSPATH:$(pwd)/maven-app-configuration/model/target/maven-app-configuration-model-%{app_configuration_model_version}-SNAPSHOT.jar
CLASSPATH=$CLASSPATH:$(pwd)/maven-test-tools/target/maven-test-tools-%{test_tools_version}-alpha-2-SNAPSHOT.jar
CLASSPATH=$CLASSPATH:$(pwd)/maven-common-artifact-filters/target/maven-common-artifact-filters-%{common_artifact_filters_version}-alpha-2-SNAPSHOT.jar
CLASSPATH=$CLASSPATH:$(pwd)/maven-invoker/target/maven-invoker-%{invoker_version}-SNAPSHOT.jar
CLASSPATH=$CLASSPATH:target/classes:target/test-classes
# Maven Shared Components 
# Maven Toolchains
pushd maven-toolchain
%{ant} -Dbuild.sysclasspath=only jar javadoc
popd
# Maven Filtering
pushd maven-filtering
%{ant} -Dbuild.sysclasspath=only jar javadoc
popd
# Maven Doxia Tools
pushd maven-doxia-tools
%{ant} -Dbuild.sysclasspath=only jar javadoc
popd
# Maven Enforcer Rules API 
pushd maven-enforcer-rule-api
%{ant} -Dbuild.sysclasspath=only jar javadoc
popd
# Maven OSGi 
pushd maven-osgi
%{ant} -Dbuild.sysclasspath=only jar javadoc
popd
# Maven Ant 
pushd maven-ant
%{ant} -Dbuild.sysclasspath=only jar javadoc
popd
# Maven Archiver 
pushd maven-archiver
%{ant} -Dbuild.sysclasspath=only jar javadoc
popd
# Maven Plugin Tools Base POM 
# Maven Plugin Tools APIs 
pushd maven-plugin-tools/maven-plugin-tools-api
%{ant} -Dbuild.sysclasspath=only jar javadoc
popd
# Maven Plugin Tools for Java 
pushd maven-plugin-tools/maven-plugin-tools-java
%{ant} -Dbuild.sysclasspath=only jar javadoc
popd
# Maven Plugin Tools for Beanshell 
pushd maven-plugin-tools/maven-plugin-tools-beanshell
%{ant} -Dbuild.sysclasspath=only jar javadoc
popd
# Maven Plugin Metadata Model 
pushd maven-plugin-tools/maven-plugin-tools-model
%{ant} -Dbuild.sysclasspath=only jar javadoc
popd
# Maven Ant Plugin Tools 
pushd maven-plugin-tools/maven-plugin-tools-ant
%{ant} -Dbuild.sysclasspath=only jar javadoc
popd
# Maven Reporting Implementation 
pushd maven-reporting-impl
%{ant} -Dbuild.sysclasspath=only jar javadoc
popd
# Maven Model Converter 
pushd maven-model-converter
%{ant} -Dbuild.sysclasspath=only jar javadoc
popd
# Maven Shared I/O API 
pushd maven-shared-io
%{ant} -Dbuild.sysclasspath=only jar javadoc
popd
# Maven Shared Monitor API 
pushd maven-shared-monitor
%{ant} -Dbuild.sysclasspath=only jar javadoc
popd
# Maven Shared File Management API 
pushd file-management
%{ant} -Dbuild.sysclasspath=only jar javadoc
popd
# Maven Plugin Testing Mechanism 
pushd maven-plugin-testing-harness
%{ant} -Dbuild.sysclasspath=only jar javadoc
popd
# Maven Process Invoker 
pushd maven-invoker
%{ant} -Dbuild.sysclasspath=only jar javadoc
popd
# Maven Verifier Component 
pushd maven-verifier
%{ant} -Dbuild.sysclasspath=only jar javadoc
popd
%if !%{RHAT}
# Maven Shared Web UI tests 
pushd maven-web-ui-tests
%{ant} -Dbuild.sysclasspath=only jar javadoc
popd
%endif
# Maven Testing Tools 
pushd maven-test-tools
%{ant} -Dbuild.sysclasspath=only jar javadoc
popd
# Maven Common Artifact Filters 
pushd maven-common-artifact-filters
%{ant} -Dbuild.sysclasspath=only jar javadoc
popd
# Maven Repository Builder 
pushd maven-repository-builder
%{ant} -Dbuild.sysclasspath=only jar javadoc
popd
# Maven Plugin Testing Tools 
pushd maven-plugin-testing-tools
%{ant} -Dbuild.sysclasspath=only jar javadoc
popd
#
pushd maven-dependency-tree
%{ant} -Dbuild.sysclasspath=only jar javadoc
popd
#
pushd maven-downloader
%{ant} -Dbuild.sysclasspath=only jar javadoc
popd
#
pushd maven-dependency-analyzer
%{ant} -Dbuild.sysclasspath=only jar javadoc
popd
#
pushd maven-shared-jar
%{ant} -Dbuild.sysclasspath=only jar javadoc
popd
%endif

%install
rm -rf %{buildroot}

# main package infrastructure
install -d -m 755 %{buildroot}%{_javadir}/%{name}
install -d -m 755 %{buildroot}%{_datadir}/maven2/poms

# poms and jars
cp -p pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-components-parent.pom
%add_to_maven_depmap org.apache.maven.shared maven-shared-components %{shared_components_version} JPP/%{name} components-parent
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/%{name}-components-parent

cp -p maven-enforcer-rule-api/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-enforcer-rule-api.pom
%add_to_maven_depmap org.apache.maven.shared maven-enforcer-rule-api %{enforcer_rule_api_version} JPP/%{name} enforcer-rule-api
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/%{name}-enforcer-rule-api

cp -p maven-enforcer-rule-api/target/maven-enforcer-rule-api-%{enforcer_rule_api_version}-alpha-2.jar \
        %{buildroot}%{_javadir}/%{name}/enforcer-rule-api-%{enforcer_rule_api_version}.jar
pushd %{buildroot}%{_javadir}/%{name}
  ln -s enforcer-rule-api-%{enforcer_rule_api_version}.jar enforcer-rule-api.jar
popd

cp -p maven-downloader/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-downloader.pom
%add_to_maven_depmap org.apache.maven.shared maven-downloader %{downloader_version} JPP/%{name} downloader
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/%{name}-downloader
cp -p maven-downloader/target/maven-downloader-%{downloader_version}-SNAPSHOT.jar \
        %{buildroot}%{_javadir}/%{name}/downloader-%{downloader_version}.jar
pushd %{buildroot}%{_javadir}/%{name}
  ln -s downloader-%{downloader_version}.jar downloader.jar
popd

cp -p maven-dependency-analyzer/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-dependency-analyzer.pom
%add_to_maven_depmap org.apache.maven.shared maven-dependency-analyzer %{dependency_analyzer_version} JPP/%{name} dependency-analyzer
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/%{name}-dependency-analyzer
cp -p maven-dependency-analyzer/target/maven-dependency-analyzer-%{dependency_analyzer_version}-alpha-3-SNAPSHOT.jar \
        %{buildroot}%{_javadir}/%{name}/dependency-analyzer-%{dependency_analyzer_version}.jar
pushd %{buildroot}%{_javadir}/%{name}
  ln -s dependency-analyzer-%{dependency_analyzer_version}.jar dependency-analyzer.jar
popd

cp -p maven-dependency-tree/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-dependency-tree.pom
%add_to_maven_depmap org.apache.maven.shared maven-dependency-tree %{dependency_tree_version} JPP/%{name} dependency-tree
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/%{name}-dependency-tree
cp -p maven-dependency-tree/target/maven-dependency-tree-%{dependency_tree_version}.jar \
        %{buildroot}%{_javadir}/%{name}/dependency-tree-%{dependency_tree_version}.jar
pushd %{buildroot}%{_javadir}/%{name}
  ln -s dependency-tree-%{dependency_tree_version}.jar dependency-tree.jar
popd

%if !%{RHAT}
cp -p maven-web-ui-tests/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-web-ui-tests.pom
%add_to_maven_depmap org.apache.maven.shared maven-web-ui-tests %{web_ui_tests_version} JPP/%{name} web-ui-tests
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/%{name}-web-ui-tests
cp -p maven-web-ui-tests/target/maven-web-ui-tests-%{web_ui_tests_version}-SNAPSHOT.jar \
        %{buildroot}%{_javadir}/%{name}/web-ui-tests-%{web_ui_tests_version}.jar
pushd %{buildroot}%{_javadir}/%{name}
  ln -s web-ui-tests-%{web_ui_tests_version}.jar web-ui-tests.jar
popd
%endif

cp -p maven-verifier/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-verifier.pom
%add_to_maven_depmap org.apache.maven.shared maven-verifier %{verifier_version} JPP/%{name} verifier
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/%{name}-verifier
cp -p maven-verifier/target/maven-verifier-%{verifier_version}-SNAPSHOT.jar \
        %{buildroot}%{_javadir}/%{name}/verifier-%{verifier_version}.jar
pushd %{buildroot}%{_javadir}/%{name}
  ln -s verifier-%{verifier_version}.jar verifier.jar
popd

cp -p maven-test-tools/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-test-tools.pom
%add_to_maven_depmap org.apache.maven.shared maven-test-tools %{test_tools_version} JPP/%{name} test-tools
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/%{name}-test-tools
cp -p maven-test-tools/target/maven-test-tools-%{test_tools_version}-alpha-2-SNAPSHOT.jar \
        %{buildroot}%{_javadir}/%{name}/test-tools-%{test_tools_version}.jar
pushd %{buildroot}%{_javadir}/%{name}
  ln -s test-tools-%{test_tools_version}.jar test-tools.jar
popd

cp -p maven-shared-monitor/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-monitor.pom
%add_to_maven_depmap org.apache.maven.shared maven-shared-monitor %{monitor_version} JPP/%{name} monitor
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/%{name}-monitor
cp -p maven-shared-monitor/target/%{name}-monitor-%{monitor_version}-SNAPSHOT.jar \
        %{buildroot}%{_javadir}/%{name}/monitor-%{monitor_version}.jar
pushd %{buildroot}%{_javadir}/%{name}
  ln -s monitor-%{monitor_version}.jar monitor.jar
popd

cp -p maven-shared-io/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-io.pom
%add_to_maven_depmap org.apache.maven.shared maven-shared-io %{io_version} JPP/%{name} io
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/%{name}-io
cp -p maven-shared-io/target/%{name}-io-%{io_version}-SNAPSHOT.jar \
        %{buildroot}%{_javadir}/%{name}/io-%{io_version}.jar
pushd %{buildroot}%{_javadir}/%{name}
  ln -s io-%{io_version}.jar io.jar
popd

cp -p maven-shared-jar/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-jar.pom
%add_to_maven_depmap org.apache.maven.shared maven-shared-jar %{jar_version} JPP/%{name} jar
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/%{name}-jar
cp -p maven-shared-jar/target/%{name}-jar-%{jar_version}-SNAPSHOT.jar \
        %{buildroot}%{_javadir}/%{name}/jar-%{jar_version}.jar
pushd %{buildroot}%{_javadir}/%{name}
  ln -s jar-%{jar_version}.jar jar.jar
popd

cp -p maven-repository-builder/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-repository-builder.pom
%add_to_maven_depmap org.apache.maven.shared maven-repository-builder %{repository_builder_version} JPP/%{name} repository-builder
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/%{name}-repository-builder
cp -p maven-repository-builder/target/maven-repository-builder-%{repository_builder_version}-alpha-2-SNAPSHOT.jar \
        %{buildroot}%{_javadir}/%{name}/repository-builder-%{repository_builder_version}.jar
pushd %{buildroot}%{_javadir}/%{name}
  ln -s repository-builder-%{repository_builder_version}.jar repository-builder.jar
popd

cp -p maven-reporting-impl/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-reporting-impl.pom
%add_to_maven_depmap org.apache.maven.reporting maven-reporting-impl %{reporting_impl_version} JPP/%{name} reporting-impl
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/%{name}-reporting-impl
cp -p maven-reporting-impl/target/maven-reporting-impl-%{reporting_impl_version}-SNAPSHOT.jar \
        %{buildroot}%{_javadir}/%{name}/reporting-impl-%{reporting_impl_version}.jar
pushd %{buildroot}%{_javadir}/%{name}
  ln -s reporting-impl-%{reporting_impl_version}.jar reporting-impl.jar
popd

cp -p maven-plugin-tools/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-plugin-tools.pom
%add_to_maven_depmap org.apache.maven maven-plugin-tools %{plugin_tools_version} JPP/%{name} plugin-tools
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/%{name}-plugin-tools

cp -p maven-plugin-tools/maven-plugin-tools-model/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-plugin-tools-model.pom
%add_to_maven_depmap org.apache.maven maven-plugin-tools-model %{plugin_tools_model_version} JPP/%{name} plugin-tools-model
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/%{name}-plugin-tools-model
cp -p maven-plugin-tools/maven-plugin-tools-model/target/maven-plugin-tools-model-%{plugin_tools_model_version}-SNAPSHOT.jar \
        %{buildroot}%{_javadir}/%{name}/plugin-tools-model-%{plugin_tools_model_version}.jar
pushd %{buildroot}%{_javadir}/%{name}
  ln -s plugin-tools-model-%{plugin_tools_model_version}.jar plugin-tools-model.jar
popd

cp -p maven-plugin-tools/maven-plugin-tools-java/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-plugin-tools-java.pom
%add_to_maven_depmap org.apache.maven maven-plugin-tools-java %{plugin_tools_java_version} JPP/%{name} plugin-tools-java
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/%{name}-plugin-tools-java
cp -p maven-plugin-tools/maven-plugin-tools-java/target/maven-plugin-tools-java-%{plugin_tools_java_version}-SNAPSHOT.jar \
        %{buildroot}%{_javadir}/%{name}/plugin-tools-java-%{plugin_tools_java_version}.jar
pushd %{buildroot}%{_javadir}/%{name}
  ln -s plugin-tools-java-%{plugin_tools_java_version}.jar plugin-tools-java.jar
popd

cp -p maven-plugin-tools/maven-plugin-tools-beanshell/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-plugin-tools-beanshell.pom
%add_to_maven_depmap org.apache.maven maven-plugin-tools-beanshell %{plugin_tools_beanshell_version} JPP/%{name} plugin-tools-beanshell
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/%{name}-plugin-tools-beanshell
cp -p maven-plugin-tools/maven-plugin-tools-beanshell/target/maven-plugin-tools-beanshell-%{plugin_tools_beanshell_version}-SNAPSHOT.jar \
        %{buildroot}%{_javadir}/%{name}/plugin-tools-beanshell-%{plugin_tools_beanshell_version}.jar
pushd %{buildroot}%{_javadir}/%{name}
  ln -s plugin-tools-beanshell-%{plugin_tools_beanshell_version}.jar plugin-tools-beanshell.jar
popd

cp -p maven-plugin-tools/maven-plugin-tools-api/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-plugin-tools-api.pom
%add_to_maven_depmap org.apache.maven maven-plugin-tools-api %{plugin_tools_api_version} JPP/%{name} plugin-tools-api
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/%{name}-plugin-tools-api
cp -p maven-plugin-tools/maven-plugin-tools-api/target/maven-plugin-tools-api-%{plugin_tools_api_version}-SNAPSHOT.jar \
        %{buildroot}%{_javadir}/%{name}/plugin-tools-api-%{plugin_tools_api_version}.jar
pushd %{buildroot}%{_javadir}/%{name}
  ln -s plugin-tools-api-%{plugin_tools_api_version}.jar plugin-tools-api.jar
popd

cp -p maven-plugin-tools/maven-plugin-tools-ant/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-plugin-tools-ant.pom
%add_to_maven_depmap org.apache.maven maven-plugin-tools-ant %{plugin_tools_ant_version} JPP/%{name} plugin-tools-ant
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/%{name}-plugin-tools-ant
cp -p maven-plugin-tools/maven-plugin-tools-ant/target/maven-plugin-tools-ant-%{plugin_tools_ant_version}-SNAPSHOT.jar \
        %{buildroot}%{_javadir}/%{name}/plugin-tools-ant-%{plugin_tools_ant_version}.jar
pushd %{buildroot}%{_javadir}/%{name}
  ln -s plugin-tools-ant-%{plugin_tools_ant_version}.jar plugin-tools-ant.jar
popd

cp -p maven-plugin-testing-tools/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-plugin-testing-tools.pom
%add_to_maven_depmap org.apache.maven.shared maven-plugin-testing-tools %{plugin_testing_tools_version} JPP/%{name} plugin-testing-tools
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/%{name}-plugin-testing-tools
cp -p maven-plugin-testing-tools/target/maven-plugin-testing-tools-%{plugin_testing_tools_version}-alpha-3-SNAPSHOT.jar \
        %{buildroot}%{_javadir}/%{name}/plugin-testing-tools-%{plugin_testing_tools_version}.jar
pushd %{buildroot}%{_javadir}/%{name}
  ln -s plugin-testing-tools-%{plugin_testing_tools_version}.jar plugin-testing-tools.jar
popd

cp -p maven-plugin-testing-harness/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-plugin-testing-harness.pom
%add_to_maven_depmap org.apache.maven.shared maven-plugin-testing-harness %{plugin_testing_harness_version} JPP/%{name} plugin-testing-harness
%add_to_maven_depmap org.apache.maven.plugin-testing maven-plugin-testing-harness %{plugin_testing_harness_version} JPP/%{name} plugin-testing-harness
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/%{name}-plugin-testing-harness
cp -p maven-plugin-testing-harness/target/maven-plugin-testing-harness-%{plugin_testing_harness_version}-SNAPSHOT.jar \
        %{buildroot}%{_javadir}/%{name}/plugin-testing-harness-%{plugin_testing_harness_version}.jar
pushd %{buildroot}%{_javadir}/%{name}
  ln -s plugin-testing-harness-%{plugin_testing_harness_version}.jar plugin-testing-harness.jar
popd

cp -p maven-model-converter/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-model-converter.pom
%add_to_maven_depmap org.apache.maven.shared maven-model-converter %{model_converter_version} JPP/%{name} model-converter
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/%{name}-model-converter
cp -p maven-model-converter/target/maven-model-converter-%{model_converter_version}-SNAPSHOT.jar \
        %{buildroot}%{_javadir}/%{name}/model-converter-%{model_converter_version}.jar
pushd %{buildroot}%{_javadir}/%{name}
  ln -s model-converter-%{model_converter_version}.jar model-converter.jar
popd

cp -p maven-invoker/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-invoker.pom
%add_to_maven_depmap org.apache.maven.shared maven-invoker %{invoker_version} JPP/%{name} invoker
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/%{name}-invoker
cp -p maven-invoker/target/maven-invoker-%{invoker_version}.jar \
        %{buildroot}%{_javadir}/%{name}/invoker-%{invoker_version}.jar
pushd %{buildroot}%{_javadir}/%{name}
  ln -s invoker-%{invoker_version}.jar invoker.jar
popd

cp -p maven-common-artifact-filters/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-common-artifact-filters.pom
%add_to_maven_depmap org.apache.maven.shared maven-common-artifact-filters %{common_artifact_filters_version} JPP/%{name} common-artifact-filters
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/%{name}-common-artifact-filters
cp -p maven-common-artifact-filters/target/maven-common-artifact-filters-%{common_artifact_filters_version}-alpha-2-SNAPSHOT.jar \
        %{buildroot}%{_javadir}/%{name}/common-artifact-filters-%{common_artifact_filters_version}.jar
pushd %{buildroot}%{_javadir}/%{name}
  ln -s common-artifact-filters-%{common_artifact_filters_version}.jar common-artifact-filters.jar
popd

cp -p maven-archiver/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-archiver.pom
%add_to_maven_depmap org.apache.maven maven-archiver %{archiver_version} JPP/%{name} archiver
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/%{name}-archiver
cp -p maven-archiver/target/maven-archiver-%{archiver_version}-SNAPSHOT.jar \
        %{buildroot}%{_javadir}/%{name}/archiver-%{archiver_version}.jar
pushd %{buildroot}%{_javadir}/%{name}
  ln -s archiver-%{archiver_version}.jar archiver.jar
popd

cp -p maven-ant/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-ant.pom
%add_to_maven_depmap org.apache.maven.shared maven-ant %{ant_version} JPP/%{name} ant
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/%{name}-ant
cp -p maven-ant/target/maven-ant-%{ant_version}-SNAPSHOT.jar \
        %{buildroot}%{_javadir}/%{name}/ant-%{ant_version}.jar
pushd %{buildroot}%{_javadir}/%{name}
  ln -s ant-%{ant_version}.jar ant.jar
popd

cp -p maven-osgi/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-osgi.pom
%add_to_maven_depmap org.apache.maven.shared maven-osgi %{osgi_version} JPP/%{name} osgi
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/%{name}-osgi
cp -p maven-osgi/target/maven-osgi-%{osgi_version}-SNAPSHOT.jar \
        %{buildroot}%{_javadir}/%{name}/osgi-%{osgi_version}.jar
pushd %{buildroot}%{_javadir}/%{name}
  ln -s osgi-%{osgi_version}.jar osgi.jar
popd

cp -p file-management/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-file-management.pom
%add_to_maven_depmap org.apache.maven.shared file-management %{file_management_version} JPP/%{name} file-management
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/%{name}-file-management
cp -p file-management/target/file-management-%{file_management_version}-SNAPSHOT.jar \
        %{buildroot}%{_javadir}/%{name}/file-management-%{file_management_version}.jar
pushd %{buildroot}%{_javadir}/%{name}
  ln -s file-management-%{file_management_version}.jar file-management.jar
popd

cp -p maven-doxia-tools/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-doxia-tools.pom
%add_to_maven_depmap org.apache.maven.shared maven-doxia-tools %{doxia_tools_version} JPP/%{name} doxia-tools
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/%{name}-doxia-tools
cp -p maven-doxia-tools/target/maven-doxia-tools-%{doxia_tools_version}.jar \
        %{buildroot}%{_javadir}/%{name}/doxia-tools-%{doxia_tools_version}.jar
pushd %{buildroot}%{_javadir}/%{name}
  ln -s doxia-tools-%{doxia_tools_version}.jar doxia-tools.jar
popd

cp -p maven-filtering/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-filtering.pom
%add_to_maven_depmap org.apache.maven.shared maven-filtering %{filtering_version} JPP/%{name} filtering
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/%{name}-filtering
cp -p maven-filtering/target/maven-filtering-%{filtering_version}.jar \
        %{buildroot}%{_javadir}/%{name}/filtering-%{filtering_version}.jar
pushd %{buildroot}%{_javadir}/%{name}
  ln -s filtering-%{filtering_version}.jar filtering.jar
popd

cp -p maven-toolchain/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-toolchain.pom
%add_to_maven_depmap org.apache.maven.shared maven-toolchain %{toolchain_version} JPP/%{name} toolchain
%add_to_maven_depmap org.apache.maven maven-toolchain %{toolchain_version} JPP/%{name} toolchain
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/%{name}-toolchain
cp -p maven-toolchain/target/maven-toolchain-%{toolchain_version}.jar \
        %{buildroot}%{_javadir}/%{name}/toolchain-%{toolchain_version}.jar
pushd %{buildroot}%{_javadir}/%{name}
  ln -s toolchain-%{toolchain_version}.jar toolchain.jar
popd

# javadoc
install -d -m 755 %{buildroot}%{_javadocdir}/%{name}-%{shared_components_version}
install -d -m 755 %{buildroot}%{_javadocdir}/%{name}-%{shared_components_version}/enforcer-rule-api
cp -pr maven-enforcer-rule-api/target/site/apidocs/* \
         %{buildroot}%{_javadocdir}/%{name}-%{shared_components_version}/enforcer-rule-api
install -d -m 755 %{buildroot}%{_javadocdir}/%{name}-%{shared_components_version}/downloader
cp -pr maven-downloader/target/site/apidocs/* \
         %{buildroot}%{_javadocdir}/%{name}-%{shared_components_version}/downloader
install -d -m 755 %{buildroot}%{_javadocdir}/%{name}-%{shared_components_version}/dependency-tree
cp -pr maven-dependency-tree/target/site/apidocs/* \
         %{buildroot}%{_javadocdir}/%{name}-%{shared_components_version}/dependency-tree
install -d -m 755 %{buildroot}%{_javadocdir}/%{name}-%{shared_components_version}/dependency-analyzer
cp -pr maven-dependency-analyzer/target/site/apidocs/* \
         %{buildroot}%{_javadocdir}/%{name}-%{shared_components_version}/dependency-analyzer
%if !%{RHAT}
install -d -m 755 %{buildroot}%{_javadocdir}/%{name}-%{shared_components_version}/web-ui-tests
cp -pr maven-web-ui-tests/target/site/apidocs/* \
         %{buildroot}%{_javadocdir}/%{name}-%{shared_components_version}/web-ui-tests
%endif
install -d -m 755 %{buildroot}%{_javadocdir}/%{name}-%{shared_components_version}/verifier
cp -pr maven-verifier/target/site/apidocs/* \
         %{buildroot}%{_javadocdir}/%{name}-%{shared_components_version}/verifier
install -d -m 755 %{buildroot}%{_javadocdir}/%{name}-%{shared_components_version}/test-tools
cp -pr maven-test-tools/target/site/apidocs/* \
         %{buildroot}%{_javadocdir}/%{name}-%{shared_components_version}/test-tools
install -d -m 755 %{buildroot}%{_javadocdir}/%{name}-%{shared_components_version}/monitor
cp -pr maven-shared-monitor/target/site/apidocs/* \
         %{buildroot}%{_javadocdir}/%{name}-%{shared_components_version}/monitor
install -d -m 755 %{buildroot}%{_javadocdir}/%{name}-%{shared_components_version}/io
cp -pr maven-shared-io/target/site/apidocs/* \
         %{buildroot}%{_javadocdir}/%{name}-%{shared_components_version}/io
install -d -m 755 %{buildroot}%{_javadocdir}/%{name}-%{shared_components_version}/jar
cp -pr maven-shared-jar/target/site/apidocs/* \
         %{buildroot}%{_javadocdir}/%{name}-%{shared_components_version}/jar
install -d -m 755 %{buildroot}%{_javadocdir}/%{name}-%{shared_components_version}/repository-builder
cp -pr maven-repository-builder/target/site/apidocs/* \
         %{buildroot}%{_javadocdir}/%{name}-%{shared_components_version}/repository-builder
install -d -m 755 %{buildroot}%{_javadocdir}/%{name}-%{shared_components_version}/reporting-impl
cp -pr maven-reporting-impl/target/site/apidocs/* \
         %{buildroot}%{_javadocdir}/%{name}-%{shared_components_version}/reporting-impl
install -d -m 755 %{buildroot}%{_javadocdir}/%{name}-%{shared_components_version}/plugin-tools-model
cp -pr maven-plugin-tools/maven-plugin-tools-model/target/site/apidocs/* \
         %{buildroot}%{_javadocdir}/%{name}-%{shared_components_version}/plugin-tools-model
install -d -m 755 %{buildroot}%{_javadocdir}/%{name}-%{shared_components_version}/plugin-tools-java
cp -pr maven-plugin-tools/maven-plugin-tools-java/target/site/apidocs/* \
         %{buildroot}%{_javadocdir}/%{name}-%{shared_components_version}/plugin-tools-java
install -d -m 755 %{buildroot}%{_javadocdir}/%{name}-%{shared_components_version}/plugin-tools-beanshell
cp -pr maven-plugin-tools/maven-plugin-tools-beanshell/target/site/apidocs/* \
         %{buildroot}%{_javadocdir}/%{name}-%{shared_components_version}/plugin-tools-beanshell
install -d -m 755 %{buildroot}%{_javadocdir}/%{name}-%{shared_components_version}/plugin-tools-api
cp -pr maven-plugin-tools/maven-plugin-tools-api/target/site/apidocs/* \
         %{buildroot}%{_javadocdir}/%{name}-%{shared_components_version}/plugin-tools-api
install -d -m 755 %{buildroot}%{_javadocdir}/%{name}-%{shared_components_version}/plugin-tools-ant
cp -pr maven-plugin-tools/maven-plugin-tools-ant/target/site/apidocs/* \
         %{buildroot}%{_javadocdir}/%{name}-%{shared_components_version}/plugin-tools-ant
install -d -m 755 %{buildroot}%{_javadocdir}/%{name}-%{shared_components_version}/plugin-testing-tools
cp -pr maven-plugin-testing-tools/target/site/apidocs/* \
         %{buildroot}%{_javadocdir}/%{name}-%{shared_components_version}/plugin-testing-tools
install -d -m 755 %{buildroot}%{_javadocdir}/%{name}-%{shared_components_version}/plugin-testing-harness
cp -pr maven-plugin-testing-harness/target/site/apidocs/* \
         %{buildroot}%{_javadocdir}/%{name}-%{shared_components_version}/plugin-testing-harness
install -d -m 755 %{buildroot}%{_javadocdir}/%{name}-%{shared_components_version}/model-converter
cp -pr maven-model-converter/target/site/apidocs/* \
         %{buildroot}%{_javadocdir}/%{name}-%{shared_components_version}/model-converter
install -d -m 755 %{buildroot}%{_javadocdir}/%{name}-%{shared_components_version}/invoker
cp -pr maven-invoker/target/site/apidocs/* \
         %{buildroot}%{_javadocdir}/%{name}-%{shared_components_version}/invoker
install -d -m 755 %{buildroot}%{_javadocdir}/%{name}-%{shared_components_version}/common-artifact-filters
cp -pr maven-common-artifact-filters/target/site/apidocs/* \
         %{buildroot}%{_javadocdir}/%{name}-%{shared_components_version}/common-artifact-filters
install -d -m 755 %{buildroot}%{_javadocdir}/%{name}-%{shared_components_version}/archiver
cp -pr maven-archiver/target/site/apidocs/* \
         %{buildroot}%{_javadocdir}/%{name}-%{shared_components_version}/archiver
install -d -m 755 %{buildroot}%{_javadocdir}/%{name}-%{shared_components_version}/ant
cp -pr maven-ant/target/site/apidocs/* \
         %{buildroot}%{_javadocdir}/%{name}-%{shared_components_version}/ant
install -d -m 755 %{buildroot}%{_javadocdir}/%{name}-%{shared_components_version}/osgi
cp -pr maven-osgi/target/site/apidocs/* \
         %{buildroot}%{_javadocdir}/%{name}-%{shared_components_version}/osgi
install -d -m 755 %{buildroot}%{_javadocdir}/%{name}-%{shared_components_version}/file-management
cp -pr file-management/target/site/apidocs/* \
         %{buildroot}%{_javadocdir}/%{name}-%{shared_components_version}/file-management
install -d -m 755 %{buildroot}%{_javadocdir}/%{name}-%{shared_components_version}/doxia-tools
cp -pr maven-doxia-tools/target/site/apidocs/* \
         %{buildroot}%{_javadocdir}/%{name}-%{shared_components_version}/doxia-tools
install -d -m 755 %{buildroot}%{_javadocdir}/%{name}-%{shared_components_version}/filtering
cp -pr maven-filtering/target/site/apidocs/* \
         %{buildroot}%{_javadocdir}/%{name}-%{shared_components_version}/filtering
install -d -m 755 %{buildroot}%{_javadocdir}/%{name}-%{shared_components_version}/toolchain
cp -pr maven-toolchain/target/site/apidocs/* \
         %{buildroot}%{_javadocdir}/%{name}-%{shared_components_version}/toolchain

ln -s %{name}-%{shared_components_version} %{buildroot}%{_javadocdir}/%{name}

%clean
rm -rf %{buildroot}

%post toolchain
%update_maven_depmap

%postun toolchain
%update_maven_depmap

%post filtering
%update_maven_depmap

%postun filtering
%update_maven_depmap

%post doxia-tools
%update_maven_depmap

%postun doxia-tools
%update_maven_depmap

%post file-management
%update_maven_depmap

%postun file-management
%update_maven_depmap

%post osgi
%update_maven_depmap

%postun osgi
%update_maven_depmap

%post ant
%update_maven_depmap

%postun ant
%update_maven_depmap

%post archiver
%update_maven_depmap

%postun archiver
%update_maven_depmap

%post common-artifact-filters
%update_maven_depmap

%postun common-artifact-filters
%update_maven_depmap

%post dependency-tree
%update_maven_depmap

%postun dependency-tree
%update_maven_depmap

%post enforcer-rule-api
%update_maven_depmap

%postun enforcer-rule-api
%update_maven_depmap

%post downloader
%update_maven_depmap

%postun downloader
%update_maven_depmap

%post dependency-analyzer
%update_maven_depmap

%postun dependency-analyzer
%update_maven_depmap

%post invoker
%update_maven_depmap

%postun invoker
%update_maven_depmap

%post model-converter
%update_maven_depmap

%postun model-converter
%update_maven_depmap

%post plugin-testing-harness
%update_maven_depmap

%postun plugin-testing-harness
%update_maven_depmap

%post plugin-testing-tools
%update_maven_depmap

%postun plugin-testing-tools
%update_maven_depmap

%post plugin-tools-ant
%update_maven_depmap

%postun plugin-tools-ant
%update_maven_depmap

%post plugin-tools-api
%update_maven_depmap

%postun plugin-tools-api
%update_maven_depmap

%post plugin-tools-beanshell
%update_maven_depmap

%postun plugin-tools-beanshell
%update_maven_depmap

%post plugin-tools-java
%update_maven_depmap

%postun plugin-tools-java
%update_maven_depmap

%post plugin-tools-model
%update_maven_depmap

%postun plugin-tools-model
%update_maven_depmap

%post reporting-impl
%update_maven_depmap

%postun reporting-impl
%update_maven_depmap

%post repository-builder
%update_maven_depmap

%postun repository-builder
%update_maven_depmap

%post io
%update_maven_depmap

%postun io
%update_maven_depmap

%post jar
%update_maven_depmap

%postun jar
%update_maven_depmap

%post monitor
%update_maven_depmap

%postun monitor
%update_maven_depmap

%post test-tools
%update_maven_depmap

%postun test-tools
%update_maven_depmap

%post verifier
%update_maven_depmap

%postun verifier
%update_maven_depmap

%if !%{RHAT}
%post web-ui-tests
%update_maven_depmap

%postun web-ui-tests
%update_maven_depmap
%endif

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%{_datadir}/maven2/poms/JPP.%{name}-components-parent.pom
%{_datadir}/maven2/poms/JPP.%{name}-plugin-tools.pom
%{_mavendepmapfragdir}/%{name}-components-parent
%{_mavendepmapfragdir}/%{name}-plugin-tools

%files toolchain
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/toolchain*.jar
%{_datadir}/maven2/poms/JPP.%{name}-toolchain.pom
%{_mavendepmapfragdir}/%{name}-toolchain

%files filtering
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/filtering*.jar
%{_datadir}/maven2/poms/JPP.%{name}-filtering.pom
%{_mavendepmapfragdir}/%{name}-filtering

%files doxia-tools
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/doxia-tools*.jar
%{_datadir}/maven2/poms/JPP.%{name}-doxia-tools.pom
%{_mavendepmapfragdir}/%{name}-doxia-tools

%files file-management
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/file-management*.jar
%{_datadir}/maven2/poms/JPP.%{name}-file-management.pom
%{_mavendepmapfragdir}/%{name}-file-management

%files osgi
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/osgi*.jar
%{_datadir}/maven2/poms/JPP.%{name}-osgi.pom
%{_mavendepmapfragdir}/%{name}-osgi

%files ant
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/ant*.jar
%{_datadir}/maven2/poms/JPP.%{name}-ant.pom
%{_mavendepmapfragdir}/%{name}-ant

%files archiver
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/archiver*.jar
%{_datadir}/maven2/poms/JPP.%{name}-archiver.pom
%{_mavendepmapfragdir}/%{name}-archiver

%files common-artifact-filters
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/common-artifact-filters*.jar
%{_datadir}/maven2/poms/JPP.%{name}-common-artifact-filters.pom
%{_mavendepmapfragdir}/%{name}-common-artifact-filters

%files dependency-analyzer
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/dependency-analyzer*.jar
%{_datadir}/maven2/poms/JPP.%{name}-dependency-analyzer.pom
%{_mavendepmapfragdir}/%{name}-dependency-analyzer

%files dependency-tree
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/dependency-tree*.jar
%{_datadir}/maven2/poms/JPP.%{name}-dependency-tree.pom
%{_mavendepmapfragdir}/%{name}-dependency-tree

%files enforcer-rule-api
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/enforcer-rule-api*.jar
%{_datadir}/maven2/poms/JPP.%{name}-enforcer-rule-api.pom
%{_mavendepmapfragdir}/%{name}-enforcer-rule-api

%files downloader
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/downloader*.jar
%{_datadir}/maven2/poms/JPP.%{name}-downloader.pom
%{_mavendepmapfragdir}/%{name}-downloader

%files invoker
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/invoker*.jar
%{_datadir}/maven2/poms/JPP.%{name}-invoker.pom
%{_mavendepmapfragdir}/%{name}-invoker

%files model-converter
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/model-converter*.jar
%{_datadir}/maven2/poms/JPP.%{name}-model-converter.pom
%{_mavendepmapfragdir}/%{name}-model-converter

%files plugin-testing-harness
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/plugin-testing-harness*.jar
%{_datadir}/maven2/poms/JPP.%{name}-plugin-testing-harness.pom
%{_mavendepmapfragdir}/%{name}-plugin-testing-harness

%files plugin-testing-tools
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/plugin-testing-tools*.jar
%{_datadir}/maven2/poms/JPP.%{name}-plugin-testing-tools.pom
%{_mavendepmapfragdir}/%{name}-plugin-testing-tools

%files plugin-tools-ant
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/plugin-tools-ant*.jar
%{_datadir}/maven2/poms/JPP.%{name}-plugin-tools-ant.pom
%{_mavendepmapfragdir}/%{name}-plugin-tools-ant

%files plugin-tools-api
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/plugin-tools-api*.jar
%{_datadir}/maven2/poms/JPP.%{name}-plugin-tools-api.pom
%{_mavendepmapfragdir}/%{name}-plugin-tools-api

%files plugin-tools-beanshell
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/plugin-tools-beanshell*.jar
%{_datadir}/maven2/poms/JPP.%{name}-plugin-tools-beanshell.pom
%{_mavendepmapfragdir}/%{name}-plugin-tools-beanshell

%files plugin-tools-java
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/plugin-tools-java*.jar
%{_datadir}/maven2/poms/JPP.%{name}-plugin-tools-java.pom
%{_mavendepmapfragdir}/%{name}-plugin-tools-java

%files plugin-tools-model
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/plugin-tools-model*.jar
%{_datadir}/maven2/poms/JPP.%{name}-plugin-tools-model.pom
%{_mavendepmapfragdir}/%{name}-plugin-tools-model

%files reporting-impl
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/reporting-impl*.jar
%{_datadir}/maven2/poms/JPP.%{name}-reporting-impl.pom
%{_mavendepmapfragdir}/%{name}-reporting-impl

%files repository-builder
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/repository-builder*.jar
%{_datadir}/maven2/poms/JPP.%{name}-repository-builder.pom
%{_mavendepmapfragdir}/%{name}-repository-builder

%files io
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/io*.jar
%{_datadir}/maven2/poms/JPP.%{name}-io.pom
%{_mavendepmapfragdir}/%{name}-io

%files jar
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/jar*.jar
%{_datadir}/maven2/poms/JPP.%{name}-jar.pom
%{_mavendepmapfragdir}/%{name}-jar

%files monitor
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/monitor*.jar
%{_datadir}/maven2/poms/JPP.%{name}-monitor.pom
%{_mavendepmapfragdir}/%{name}-monitor

%files test-tools
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/test-tools*.jar
%{_datadir}/maven2/poms/JPP.%{name}-test-tools.pom
%{_mavendepmapfragdir}/%{name}-test-tools

%files verifier
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/verifier*.jar
%{_datadir}/maven2/poms/JPP.%{name}-verifier.pom
%{_mavendepmapfragdir}/%{name}-verifier

%if !%{RHAT}
%files web-ui-tests
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/web-ui-tests*.jar
%{_datadir}/maven2/poms/JPP.%{name}-web-ui-tests.pom
%{_mavendepmapfragdir}/%{name}-web-ui-tests
%endif

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{shared_components_version}
%{_javadocdir}/%{name}

%changelog
* Tue Sep 25 2012 Ralph Apel <r.apel@r-apel.de> 0:8-0.p8.14
- disable diagnostic patch for reporting-impl AbstractMavenReportRenderer

* Sun Aug 05 2012 Ralph Apel <r.apel@r-apel.de> 0:8-0.p8.13
- fix issue with reporting-impl AbstractMavenReportRenderer

* Thu Oct 13 2011 David Walluck <dwalluck@redhat.com> 0:8-0.p8.12
- fix issue with standalone maven-common-artifact-filters

* Thu Oct 13 2011 David Walluck <dwalluck@redhat.com> 0:8-0.p8.11
- update maven depmaps for subpackages
- remove gcj support

* Wed Oct 12 2011 David Walluck <dwalluck@redhat.com> 0:8-0.p8.10
- move depmaps to subpackages to prevent conflicts with standalone
- use cobertura-maven-plugin
- fix patch macros on mdv
- set encoding
- use name macro, not hardcoded maven-shared
- use global macro, not define

* Fri Feb 25 2011 Ralph Apel <r.apel@r-apel.de> 0:8-0.p8.9
- Upgrade dependency-tree to 1.2
- Upgrade filtering to 1.0 final

* Tue Dec 14 2010 Ralph Apel <r.apel@r-apel.de> 0:8-0.p8.8
- Depmap google-collections08

* Sun Dec 12 2010 Ralph Apel <r.apel@r-apel.de> 0:8-0.p8.7
- Add maven-filtering
- Add maven-toolchain
- Upgrade maven-invoker to 2.0.11

* Sat Dec 04 2010 Ralph Apel <r.apel@r-apel.de> 0:8-0.p8.6
- Prepare for JPP6
- Return to current easymock instead of easymock-java5 
- Add maven-doxia-tools
- Build with maven by default
- Cleanup

* Fri Dec 12 2009 David Walluck <dwalluck@redhat.com> 0:8-0.p8.5
- Requires: bcel
- Relax (B)Rs
- remove javadoc scriptlets
- fix permissions
- fix maven directory ownership
- update License
- update BuildRoot
- build without maven by default
- maven build requires saxpath
- fix java call
- patch for new asm
- partially updated for recent versions of bouncycastle
- comment out sitemesh BuildRequires for now
- Use easymock-java5 instead of easymock
- Add missing BRs for jetty and openqa-selenium-core
- Move version to the parent-version
- Conserve proper version for each component
- maven-shared-components-8 package set

* Mon Apr 27 2009 Yong Yang <yyang@redhat.com> - 8-0.p8.4
- Rebuild with maven2-2.0.8 built in non-bootstrap mode

* Fri Jan 16 2009 Yong Yang <yyang@redhat.com> - 8-0.p8.3
- Imported from dbhole's maven 2.0.8 packages
- maven-shared-archiver be a replacement for maven-archiver, provides maven-archiver
- Add many missing BRs

* Wed Jul  9 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.0-4.6
- drop repotag

* Thu May 29 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.0-4jpp.5
- fix license tag

* Thu Feb 28 2008 Deepak Bhole <dbhole@redhat.com> 1.0-4jpp.4
- Rebuild

* Fri Sep 21 2007 Deepak Bhole <dbhole@redhat.com> 0:1.0-4jpp.3
- Rebuild with ppc64 excludearch'd
- Removed 'jpp' from a BR version

* Tue Mar 20 2007 Deepak Bhole <dbhole@redhat.com> 0:1.0-4jpp.2
- Fixed BRs and Reqa

* Tue Feb 27 2007 Tania Bento <tbento@redhat.com> 0:1.0-4jpp.1
- Fixed %%Release.
- Fixed %%BuildRoot.
- Removed %%Vendor.
- Removed %%Distribution.
- Removed %%post and %%postun sections for file-management-javadoc.
- Removed %%post and %%postun sections for plugin-testing-harness-javadoc.
- Defined _with_gcj_support and gcj_support.
- Fixed %%License.
- Fixed %%Group.
- Marked config file with %%config(noreplace) in %%files section.
- Fixed instructions on how to generate source drop.

* Fri Oct 27 2006 Deepak Bhole <dbhole@redhat.com> 1.0-4jpp
- Update for maven 9jpp

* Fri Sep 15 2006 Deepak Bhole <dbhole@redhat.com> 1.0-3jpp
- Removed the file-management-pom.patch (no longer required)
- Install poms

* Wed Sep 13 2006 Ralph Apel <r.apel@r-apel.de> 0:1.0-2jpp
- Add plugin-testing-harness subpackage

* Mon Sep 11 2006 Ralph Apel <r.apel@r-apel.de> 0:1.0-1jpp
- First release
- Add gcj_support option
- Add post/postun Requires for javadoc
